
/* -------------------------------------------------------------------------------------------
* Baliza para radio-caza
* Achille De Santis V1.5_PTT
* Conecte un mini transmisor VHF/UHF a la salida U1 (D13).
* El control PTT puede tomarse desde el pin PTT (D12 alto , o D11 bajo)
*/ -------------------------------------------------------------------------------------------

unsigned long N=1; // * inserte un nmero entero como duracin de las pausas

#define U1 13 // modulacin TX
#define PTT 12 // comando PTT, por nivel alto
#define PTT1 11 // comando PTT1, por nivel bajo

int nota=600; // frecuencia de la nota (tono modulador)
int T1=500;
int T2=1000;
int T3=N*(T1+T2);
int TXD= 100; // retardo de la modulacin

void setup() {
 CARRIER(0);
}

void CARRIER(boolean P) // mando del PTT
{
 digitalWrite(PTT,P);
 digitalWrite(PTT1,!P);
}

void da() // Configuracin de la nota (tono) DA (-)
{
 tone(U1, nota);
 delay(T2);
 noTone(U1);
 delay(T1);
}

void loop() {
 CARRIER(1);
 delay(TXD);
 da();
 delay(T1); // Trasmite la NOTA DA (-)
 CARRIER(0);
 delay(T3); // Tiempo del ciclo de TX
}

// --------------------------------------------------
